| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
PosInfo::LineSet2DData Class Reference
General

Position info for a set of 2D lines. More...

`#include <linesetposinfo.h>`

## Classes
struct | Info
struct | IR
struct | LineTrcDistStats

## Public Member Functions
virtual | ~LineSet2DData ()
Line2DData & | addLine (const char *)
bool | areStatsComputed () const
void | compDistBetwTrcsStats ()
float | getDistBetwTrcs (bool, const char *linenm=0) const
BinID | getElementStepout (const char *linenm) const
const Line2DData * | getLineData (const char *) const
void | intersect (const BinIDValueSet &, ObjectSet< IR > &) const
const Line2DData & | lineData (int idx) const
const char * | lineName (int idx) const
int | nrLines () const
void | removeLine (const char *)

## Protected Member Functions
Info * | findLine (const char *) const

## Protected Attributes
ObjectSet< Info > | data_
TypeSet< LineTrcDistStats > | trcdiststatsperlines_

## Detailed Description

Position info for a set of 2D lines.

<>

## Constructor & Destructor Documentation

## ◆ ~LineSet2DData()

virtual PosInfo::LineSet2DData::~LineSet2DData | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ addLine()

Line2DData & PosInfo::LineSet2DData::addLine | ( | const char * |  | ) |

## ◆ areStatsComputed()

bool PosInfo::LineSet2DData::areStatsComputed | ( |  | ) | const
| inline

## ◆ compDistBetwTrcsStats()

void PosInfo::LineSet2DData::compDistBetwTrcsStats | ( |  | ) |

## ◆ findLine()

Info * PosInfo::LineSet2DData::findLine | ( | const char * |  | ) | const
| protected

## ◆ getDistBetwTrcs()

float PosInfo::LineSet2DData::getDistBetwTrcs | ( | bool | ,
|  | const char * | linenm = 0 ) const

## ◆ getElementStepout()

BinID PosInfo::LineSet2DData::getElementStepout | ( | const char * | linenm | ) | const

## ◆ getLineData()

const Line2DData * PosInfo::LineSet2DData::getLineData | ( | const char * |  | ) | const

## ◆ intersect()

void PosInfo::LineSet2DData::intersect | ( | const BinIDValueSet & | ,
|  | ObjectSet< IR > & | ) const

## ◆ lineData()

const Line2DData & PosInfo::LineSet2DData::lineData | ( | int | idx | ) | const
| inline

## ◆ lineName()

const char * PosInfo::LineSet2DData::lineName | ( | int | idx | ) | const
| inline

## ◆ nrLines()

int PosInfo::LineSet2DData::nrLines | ( |  | ) | const
| inline

## ◆ removeLine()

void PosInfo::LineSet2DData::removeLine | ( | const char * |  | ) |

## Member Data Documentation

## ◆ data_

ObjectSet<Info> PosInfo::LineSet2DData::data_
| protected

## ◆ trcdiststatsperlines_

TypeSet<LineTrcDistStats> PosInfo::LineSet2DData::trcdiststatsperlines_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025